import * as React from 'react'
import {Column, Row} from '@dash-ui/react-layout'
import {Checkbox, Text} from '../src'

export default {
  title: 'Forms/Checkbox',
  component: Checkbox,
  argTypes: {
    disabled: {
      control: {
        type: 'boolean',
      },
    },
    children: {
      control: {
        type: 'text',
      },
    },
  },
}

const Template = (props: any = {}) => (
  <Column align='start' gap='lg'>
    <Text as='label'>
      <Row as='span' align='center' gap='md'>
        <Checkbox {...props} />
        <span>I scale with text</span>
      </Row>
    </Text>

    <Text as='label' size='lg'>
      <Row as='span' align='center' gap='md'>
        <Checkbox {...props} />
        <span>I scale with text</span>
      </Row>
    </Text>

    <Text as='label' size='2xl'>
      <Row as='span' align='center' gap='md'>
        <Checkbox {...props} height='2em' />
        <span>I scale with text</span>
      </Row>
    </Text>

    <Text as='label' size='3xl'>
      <Row as='span' align='center' gap='md'>
        <Checkbox {...props} height='2em' />
        <span>I scale with text</span>
      </Row>
    </Text>

    <Text as='label' size='4xl'>
      <Row as='span' align='center' gap='md'>
        <Checkbox {...props} height='2em' />
        <span>I scale with text</span>
      </Row>
    </Text>
  </Column>
)

export const Example = Template.bind({})
// @ts-ignore
Example.args = {
  disabled: false,
}
